Boomi Data Integration API Reference (1.0.0) - Logicode
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get Logicode Files
Authorization scope: logicode:list
Get the logicode file of the python script for a specific account id and environment id.
The endpoint returns a S3 pre-signed URL of the python's step.
e.g. [GET] v1/accounts/55bf7c4270fdca16cac18761/environments/563f5b62b0a10e18f0808895/ logicode_file/60abd52d62833f001eb05be6
Authorizations:
HTTPBearer
path Parameters
| account_id required | string (Account Id) |
| environment_id required | string (Environment Id) |
| file_id required | string (File Id) |
Responses
Response Schema: application/json
| url required | string (Url) |
Filename (string) or Filename (null) (Filename) The file name |
Response samples
- 200
- 422
Content type
application/json
{- "url": "string",
- "filename": "string"
}Add Logicode File
Authorization scope: data flow:write
Add a logicode file to the account id and environment id.
Authorizations:
HTTPBearer
path Parameters
| account_id required | string (Account Id) |
| environment_id required | string (Environment Id) |
Request Body schema: application/jsonrequired
| file_name required | string (File Name) The logicode file name |
Responses
Request samples
- Payload
Content type
application/json
{- "file_name": "string"
}Response samples
- 201
- 422
Content type
application/json
{- "file_id": "string",
- "url": "string"
}Was this topic helpful?
